<?php

namespace App\Http\Controllers\API\Seller;

use App\Http\Controllers\Controller;
use App\Http\Requests\UserUpdateRequest;
use App\Http\Resources\SellerUserResource;
use App\Repositories\UserRepository;

class UserController extends Controller
{
    /**
     * show user details.
     */
    public function show()
    {
        $user = auth()->user();

        return $this->json('user details', [
            'user' => SellerUserResource::make($user),
        ]);
    }

    /**
     * update user profile.
     */
    public function updateProfile(UserUpdateRequest $request)
    {
        // update user
        UserRepository::updateByRequest($request, auth()->user());

        return $this->json('Profile is updated successfully', [
            'user' => SellerUserResource::make(auth()->user()),
        ]);
    }
}
