<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class VoucherRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $coupon = 'nullable';

        if ($this->routeIs('voucher.collect')) {
            $coupon = 'required';
        }

        return [
            'coupon_id' => "$coupon|exists:coupons,id",
        ];
    }

    public function messages(): array
    {
        $request = request();
        if ($request->is('api/*')) {
            $lan = $request->header('accept-language') ?? 'en';
            app()->setLocale($lan);
        }

        return [
            'coupon_id.required' => __('The coupon id field is required.'),
            'coupon_id.exists' => __('The coupon id is not exists.'),
        ];
    }
}
