<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('generate_settings', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->string('title')->nullable();
            $table->foreignId('logo_id')->nullable()->constrained('media')->nullOnDelete();
            $table->foreignId('favicon_id')->nullable()->constrained('media')->nullOnDelete();
            $table->foreignId('app_logo_id')->nullable()->constrained('media')->nullOnDelete();
            $table->string('mobile')->nullable();
            $table->string('email')->nullable();
            $table->string('address')->nullable();
            $table->string('google_playstore_url')->nullable();
            $table->boolean('show_download_app')->default(true);
            $table->string('app_store_url')->nullable();
            $table->string('primary_color')->default('#8b5cf6');
            $table->string('secondary_color')->default('#ede9fe');
            $table->boolean('show_sku')->default(0);
            $table->string('currency')->nullable();
            $table->string('currency_position')->nullable();
            $table->string('direction')->nullable();
            $table->boolean('show_footer')->default(true);
            $table->string('footer_phone')->nullable();
            $table->string('footer_email')->nullable();
            $table->string('footer_text')->nullable();
            $table->string('footer_description')->nullable();
            $table->foreignId('footer_logo_id')->nullable()->constrained('media')->nullOnDelete();
            $table->foreignId('footer_qrcode_id')->nullable()->constrained('media')->nullOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('generate_settings');
    }
};
